
/* stata do-file for replication of all models in tables 1 and 2 of "Politischer Opportunismus und Haushaltsdefizite in den westdeutschen Bundeslndern" by Christina J. Schneider */
/* all variables used are labeled in the stata data set*/
/*STATA Version 9.2*/

set mem 10000
set more off
set mat 800

cd c:\        /* specify the working directory where you have put the data set and want to save the results */

/*Replication of Table 1*/

use defspend.dta

xtfevd defgrowth_ln  preelectionyear inflation_ln_lag totempl_ln_lag citystate unification oil1 oil2 finanzausgleich, invariant(citystate finanzausgleich) pcse ar1
xtfevd  defgrowth_ln  dum_1_pre dum_2_pre  inflation_ln_lag totempl_ln_lag citystate unification oil1 oil2 finanzausgleich, invariant(citystate   finanzausgleich) pcse ar1
xtfevd defgrowth_ln  preelectionyear inflation_ln_lag totempl_ln_lag citystate unification oil1 oil2 s_gov_1 finanzausgleich, invariant(finanzausgleich citystate ) pcse ar1
xtfevd defgrowth_ln  preelectionyear inflation_ln_lag totempl_ln_lag citystate unification oil1 oil2 s_gov_2 finanzausgleich, invariant(finanzausgleich citystate ) pcse ar1
xtfevd defgrowth_ln  preclose inflation_ln_lag totempl_ln_lag citystate unification oil1 oil2 finanzausgleich, invariant(finanzausgleich citystate ) pcse ar1



/*Replication of Table 2*/

use defelec.dta

xtreg  voteshare_change voteshare_lag strat_def federal_incumbent divided_government if state_incumbent==1, fe robust
xtreg  voteshare_change voteshare_lag  strat_def federal_incumbent divided_government inflation_ln_lag turnout if state_incumbent==1, fe robust
xtreg  voteshare_change voteshare_lag  deficit_ln_lag federal_incumbent divided_government inflation_ln_lag turnout if state_incumbent==1, fe robust
xtreg  voteshare_change voteshare_lag deficit_cdu deficit_spd federal_incumbent divided_government inflation_ln_lag turnout  if state_incumbent==1, fe robust


exit
